(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular-three/core'), require('rxjs/operators'), require('three')) :
    typeof define === 'function' && define.amd ? define('@angular-three/core/audio', ['exports', '@angular/core', '@angular-three/core', 'rxjs/operators', 'three'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global["angular-three"] = global["angular-three"] || {}, global["angular-three"].core = global["angular-three"].core || {}, global["angular-three"].core.audio = {}), global.ng.core, global["angular-three"].core, global.rxjs.operators, global.three));
})(this, (function (exports, i0, i1, operators, THREE) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var THREE__namespace = /*#__PURE__*/_interopNamespace(THREE);

    var NgtAudioListener = /** @class */ (function () {
        function NgtAudioListener(canvasStore, destroyed, ngZone) {
            this.canvasStore = canvasStore;
            this.destroyed = destroyed;
            this.ngZone = ngZone;
            this.ready = new i0.EventEmitter();
        }
        NgtAudioListener.prototype.ngOnInit = function () {
            var _this = this;
            this.ngZone.runOutsideAngular(function () {
                _this._listener = new THREE__namespace.AudioListener();
                if (_this.filter) {
                    _this._listener.filter = _this.filter;
                }
                if (_this.timeDelta) {
                    _this._listener.timeDelta = _this.timeDelta;
                }
                _this.canvasStore.selectors.internal$
                    .pipe(operators.takeUntil(_this.destroyed))
                    .subscribe(function (_a) {
                    var active = _a.active;
                    _this.ngZone.runOutsideAngular(function () {
                        var camera = _this.canvasStore.getImperativeState().camera;
                        if (active && camera) {
                            camera.add(_this.audioListener);
                            _this.ready.emit(_this.audioListener);
                        }
                    });
                });
            });
        };
        Object.defineProperty(NgtAudioListener.prototype, "audioListener", {
            get: function () {
                return this._listener;
            },
            enumerable: false,
            configurable: true
        });
        return NgtAudioListener;
    }());
    NgtAudioListener.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudioListener, deps: [{ token: i1__namespace.CanvasStore, skipSelf: true }, { token: i1__namespace.DestroyedService }, { token: i0__namespace.NgZone }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgtAudioListener.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtAudioListener, selector: "ngt-audio-listener", inputs: { filter: "filter", timeDelta: "timeDelta" }, outputs: { ready: "ready" }, providers: [i1.DestroyedService], exportAs: ["ngtAudioListener"], ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudioListener, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: 'ngt-audio-listener',
                        exportAs: 'ngtAudioListener',
                        providers: [i1.DestroyedService],
                    }]
            }], ctorParameters: function () {
            return [{ type: i1__namespace.CanvasStore, decorators: [{
                            type: i0.SkipSelf
                        }] }, { type: i1__namespace.DestroyedService }, { type: i0__namespace.NgZone }];
        }, propDecorators: { filter: [{
                    type: i0.Input
                }], timeDelta: [{
                    type: i0.Input
                }], ready: [{
                    type: i0.Output
                }] } });

    var NgtAudioModule = /** @class */ (function () {
        function NgtAudioModule() {
        }
        return NgtAudioModule;
    }());
    NgtAudioModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudioModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    NgtAudioModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudioModule, declarations: [NgtAudioListener], exports: [NgtAudioListener] });
    NgtAudioModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudioModule });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudioModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [NgtAudioListener],
                        exports: [NgtAudioListener],
                    }]
            }] });

    var NgtAudio = /** @class */ (function () {
        function NgtAudio(listenerDirective, parentObjectDirective) {
            this.listenerDirective = listenerDirective;
            this.parentObjectDirective = parentObjectDirective;
            this.ready = new i0.EventEmitter();
        }
        NgtAudio.prototype.ngOnInit = function () {
            if (!this.listenerDirective) {
                console.error('AudioListener must exist to initialize Audio');
                return;
            }
            this._audio = new this.audioType(this.listenerDirective.audioListener);
            if (this.audio) {
                if (this.object3d) {
                    this.object3d.add(this.audio);
                }
                else if (this.parentObjectDirective) {
                    this.parentObjectDirective.object3d.add(this.audio);
                }
            }
            this.ready.emit(this.audio);
        };
        Object.defineProperty(NgtAudio.prototype, "audio", {
            get: function () {
                return this._audio;
            },
            enumerable: false,
            configurable: true
        });
        return NgtAudio;
    }());
    NgtAudio.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudio, deps: [{ token: NgtAudioListener, optional: true, skipSelf: true }, { token: i1__namespace.NgtObject3d, optional: true, skipSelf: true }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgtAudio.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtAudio, inputs: { object3d: "object3d" }, outputs: { ready: "ready" }, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0__namespace, type: NgtAudio, decorators: [{
                type: i0.Directive
            }], ctorParameters: function () {
            return [{ type: NgtAudioListener, decorators: [{
                            type: i0.Optional
                        }, {
                            type: i0.SkipSelf
                        }] }, { type: i1__namespace.NgtObject3d, decorators: [{
                            type: i0.Optional
                        }, {
                            type: i0.SkipSelf
                        }] }];
        }, propDecorators: { object3d: [{
                    type: i0.Input
                }], ready: [{
                    type: i0.Output
                }] } });

    /**
     * Generated bundle index. Do not edit.
     */

    exports.NgtAudio = NgtAudio;
    exports.NgtAudioListener = NgtAudioListener;
    exports.NgtAudioModule = NgtAudioModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=angular-three-core-audio.umd.js.map
