import { NgtObject3d, NGT_OBJECT_3D_CONTROLLER_PROVIDER, NgtCommonCamera } from '@angular-three/core';
import * as i0 from '@angular/core';
import { Directive, Input, NgModule } from '@angular/core';
import * as THREE from 'three';

class NgtCubeCamera extends NgtObject3d {
    ngOnInit() {
        this.init();
    }
    initObject() {
        this._camera = new THREE.CubeCamera(...this.args);
    }
    get object3d() {
        return this._camera;
    }
}
NgtCubeCamera.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCubeCamera, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtCubeCamera.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtCubeCamera, selector: "ngt-cube-camera", inputs: { args: "args" }, providers: [
        {
            provide: NgtObject3d,
            useExisting: NgtCubeCamera,
        },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], exportAs: ["ngtCubeCamera"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCubeCamera, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-cube-camera',
                    exportAs: 'ngtCubeCamera',
                    providers: [
                        {
                            provide: NgtObject3d,
                            useExisting: NgtCubeCamera,
                        },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

class CubeCameraModule {
}
CubeCameraModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: CubeCameraModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CubeCameraModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: CubeCameraModule, declarations: [NgtCubeCamera], exports: [NgtCubeCamera] });
CubeCameraModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: CubeCameraModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: CubeCameraModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtCubeCamera],
                    exports: [NgtCubeCamera],
                }]
        }] });

// GENERATED
class NgtCamera extends NgtCommonCamera {
    constructor() {
        super(...arguments);
        this.cameraType = THREE.Camera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtCamera.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCamera, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtCamera.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtCamera, selector: "ngt-camera", inputs: { args: "args" }, providers: [
        {
            provide: NgtObject3d,
            useExisting: NgtCamera,
        },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], exportAs: ["ngtCamera"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCamera, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-camera',
                    exportAs: 'ngtCamera',
                    providers: [
                        {
                            provide: NgtObject3d,
                            useExisting: NgtCamera,
                        },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtCameraModule {
}
NgtCameraModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCameraModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtCameraModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCameraModule, declarations: [NgtCamera], exports: [NgtCamera] });
NgtCameraModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCameraModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCameraModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtCamera],
                    exports: [NgtCamera],
                }]
        }] });

// GENERATED
class NgtPerspectiveCamera extends NgtCommonCamera {
    constructor() {
        super(...arguments);
        this.cameraType = THREE.PerspectiveCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtPerspectiveCamera.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPerspectiveCamera, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtPerspectiveCamera.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtPerspectiveCamera, selector: "ngt-perspective-camera", inputs: { args: "args" }, providers: [
        {
            provide: NgtObject3d,
            useExisting: NgtPerspectiveCamera,
        },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], exportAs: ["ngtPerspectiveCamera"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPerspectiveCamera, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-perspective-camera',
                    exportAs: 'ngtPerspectiveCamera',
                    providers: [
                        {
                            provide: NgtObject3d,
                            useExisting: NgtPerspectiveCamera,
                        },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtPerspectiveCameraModule {
}
NgtPerspectiveCameraModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPerspectiveCameraModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtPerspectiveCameraModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPerspectiveCameraModule, declarations: [NgtPerspectiveCamera], exports: [NgtPerspectiveCamera] });
NgtPerspectiveCameraModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPerspectiveCameraModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPerspectiveCameraModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtPerspectiveCamera],
                    exports: [NgtPerspectiveCamera],
                }]
        }] });

// GENERATED
class NgtOrthographicCamera extends NgtCommonCamera {
    constructor() {
        super(...arguments);
        this.cameraType = THREE.OrthographicCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtOrthographicCamera.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOrthographicCamera, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtOrthographicCamera.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtOrthographicCamera, selector: "ngt-orthographic-camera", inputs: { args: "args" }, providers: [
        {
            provide: NgtObject3d,
            useExisting: NgtOrthographicCamera,
        },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], exportAs: ["ngtOrthographicCamera"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOrthographicCamera, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-orthographic-camera',
                    exportAs: 'ngtOrthographicCamera',
                    providers: [
                        {
                            provide: NgtObject3d,
                            useExisting: NgtOrthographicCamera,
                        },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtOrthographicCameraModule {
}
NgtOrthographicCameraModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOrthographicCameraModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtOrthographicCameraModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOrthographicCameraModule, declarations: [NgtOrthographicCamera], exports: [NgtOrthographicCamera] });
NgtOrthographicCameraModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOrthographicCameraModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOrthographicCameraModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtOrthographicCamera],
                    exports: [NgtOrthographicCamera],
                }]
        }] });

// GENERATED
class NgtArrayCamera extends NgtCommonCamera {
    constructor() {
        super(...arguments);
        this.cameraType = THREE.ArrayCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtArrayCamera.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtArrayCamera, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtArrayCamera.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtArrayCamera, selector: "ngt-array-camera", inputs: { args: "args" }, providers: [
        {
            provide: NgtObject3d,
            useExisting: NgtArrayCamera,
        },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], exportAs: ["ngtArrayCamera"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtArrayCamera, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-array-camera',
                    exportAs: 'ngtArrayCamera',
                    providers: [
                        {
                            provide: NgtObject3d,
                            useExisting: NgtArrayCamera,
                        },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtArrayCameraModule {
}
NgtArrayCameraModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtArrayCameraModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtArrayCameraModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtArrayCameraModule, declarations: [NgtArrayCamera], exports: [NgtArrayCamera] });
NgtArrayCameraModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtArrayCameraModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtArrayCameraModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtArrayCamera],
                    exports: [NgtArrayCamera],
                }]
        }] });

// GENERATED
class NgtStereoCamera extends NgtCommonCamera {
    constructor() {
        super(...arguments);
        this.cameraType = THREE.StereoCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtStereoCamera.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtStereoCamera, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtStereoCamera.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtStereoCamera, selector: "ngt-stereo-camera", inputs: { args: "args" }, providers: [
        {
            provide: NgtObject3d,
            useExisting: NgtStereoCamera,
        },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], exportAs: ["ngtStereoCamera"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtStereoCamera, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-stereo-camera',
                    exportAs: 'ngtStereoCamera',
                    providers: [
                        {
                            provide: NgtObject3d,
                            useExisting: NgtStereoCamera,
                        },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtStereoCameraModule {
}
NgtStereoCameraModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtStereoCameraModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtStereoCameraModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtStereoCameraModule, declarations: [NgtStereoCamera], exports: [NgtStereoCamera] });
NgtStereoCameraModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtStereoCameraModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtStereoCameraModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtStereoCamera],
                    exports: [NgtStereoCamera],
                }]
        }] });

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { CubeCameraModule, NgtArrayCamera, NgtArrayCameraModule, NgtCamera, NgtCameraModule, NgtCubeCamera, NgtOrthographicCamera, NgtOrthographicCameraModule, NgtPerspectiveCamera, NgtPerspectiveCameraModule, NgtStereoCamera, NgtStereoCameraModule };
//# sourceMappingURL=angular-three-core-cameras.js.map
