import { NgtGeometry } from '@angular-three/core';
import * as i0 from '@angular/core';
import { Directive, Input, NgModule } from '@angular/core';
import * as THREE from 'three';
import { BoxLineGeometry } from 'three/examples/jsm/geometries/BoxLineGeometry';
import { ConvexGeometry } from 'three/examples/jsm/geometries/ConvexGeometry';
import { DecalGeometry } from 'three/examples/jsm/geometries/DecalGeometry';
import { ParametricGeometry } from 'three/examples/jsm/geometries/ParametricGeometry';
import { RoundedBoxGeometry } from 'three/examples/jsm/geometries/RoundedBoxGeometry';
import { TeapotGeometry } from 'three/examples/jsm/geometries/TeapotGeometry';
import { TextGeometry } from 'three/examples/jsm/geometries/TextGeometry';
import { LineGeometry } from 'three/examples/jsm/lines/LineGeometry';
import { LineSegmentsGeometry } from 'three/examples/jsm/lines/LineSegmentsGeometry';
import { WireframeGeometry2 } from 'three/examples/jsm/lines/WireframeGeometry2';

// GENERATED
class NgtBufferGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.BufferGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtBufferGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBufferGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtBufferGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtBufferGeometry, selector: "ngt-buffer-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtBufferGeometry,
        },
    ], exportAs: ["ngtBufferGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBufferGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-buffer-geometry',
                    exportAs: 'ngtBufferGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtBufferGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtBufferGeometryModule {
}
NgtBufferGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBufferGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtBufferGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBufferGeometryModule, declarations: [NgtBufferGeometry], exports: [NgtBufferGeometry] });
NgtBufferGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBufferGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBufferGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtBufferGeometry],
                    exports: [NgtBufferGeometry],
                }]
        }] });

// GENERATED
class NgtInstancedBufferGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.InstancedBufferGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtInstancedBufferGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtInstancedBufferGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtInstancedBufferGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtInstancedBufferGeometry, selector: "ngt-instanced-buffer-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtInstancedBufferGeometry,
        },
    ], exportAs: ["ngtInstancedBufferGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtInstancedBufferGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-instanced-buffer-geometry',
                    exportAs: 'ngtInstancedBufferGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtInstancedBufferGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtInstancedBufferGeometryModule {
}
NgtInstancedBufferGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtInstancedBufferGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtInstancedBufferGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtInstancedBufferGeometryModule, declarations: [NgtInstancedBufferGeometry], exports: [NgtInstancedBufferGeometry] });
NgtInstancedBufferGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtInstancedBufferGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtInstancedBufferGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtInstancedBufferGeometry],
                    exports: [NgtInstancedBufferGeometry],
                }]
        }] });

// GENERATED
class NgtBoxGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.BoxGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtBoxGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtBoxGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtBoxGeometry, selector: "ngt-box-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtBoxGeometry,
        },
    ], exportAs: ["ngtBoxGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-box-geometry',
                    exportAs: 'ngtBoxGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtBoxGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtBoxGeometryModule {
}
NgtBoxGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtBoxGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxGeometryModule, declarations: [NgtBoxGeometry], exports: [NgtBoxGeometry] });
NgtBoxGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtBoxGeometry],
                    exports: [NgtBoxGeometry],
                }]
        }] });

// GENERATED
class NgtCircleGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.CircleGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtCircleGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCircleGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtCircleGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtCircleGeometry, selector: "ngt-circle-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtCircleGeometry,
        },
    ], exportAs: ["ngtCircleGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCircleGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-circle-geometry',
                    exportAs: 'ngtCircleGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtCircleGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtCircleGeometryModule {
}
NgtCircleGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCircleGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtCircleGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCircleGeometryModule, declarations: [NgtCircleGeometry], exports: [NgtCircleGeometry] });
NgtCircleGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCircleGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCircleGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtCircleGeometry],
                    exports: [NgtCircleGeometry],
                }]
        }] });

// GENERATED
class NgtConeGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.ConeGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtConeGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConeGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtConeGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtConeGeometry, selector: "ngt-cone-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtConeGeometry,
        },
    ], exportAs: ["ngtConeGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConeGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-cone-geometry',
                    exportAs: 'ngtConeGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtConeGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtConeGeometryModule {
}
NgtConeGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConeGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtConeGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConeGeometryModule, declarations: [NgtConeGeometry], exports: [NgtConeGeometry] });
NgtConeGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConeGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConeGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtConeGeometry],
                    exports: [NgtConeGeometry],
                }]
        }] });

// GENERATED
class NgtCylinderGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.CylinderGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtCylinderGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCylinderGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtCylinderGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtCylinderGeometry, selector: "ngt-cylinder-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtCylinderGeometry,
        },
    ], exportAs: ["ngtCylinderGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCylinderGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-cylinder-geometry',
                    exportAs: 'ngtCylinderGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtCylinderGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtCylinderGeometryModule {
}
NgtCylinderGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCylinderGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtCylinderGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCylinderGeometryModule, declarations: [NgtCylinderGeometry], exports: [NgtCylinderGeometry] });
NgtCylinderGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCylinderGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtCylinderGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtCylinderGeometry],
                    exports: [NgtCylinderGeometry],
                }]
        }] });

// GENERATED
class NgtDodecahedronGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.DodecahedronGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtDodecahedronGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDodecahedronGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtDodecahedronGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtDodecahedronGeometry, selector: "ngt-dodecahedron-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtDodecahedronGeometry,
        },
    ], exportAs: ["ngtDodecahedronGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDodecahedronGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-dodecahedron-geometry',
                    exportAs: 'ngtDodecahedronGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtDodecahedronGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtDodecahedronGeometryModule {
}
NgtDodecahedronGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDodecahedronGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtDodecahedronGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDodecahedronGeometryModule, declarations: [NgtDodecahedronGeometry], exports: [NgtDodecahedronGeometry] });
NgtDodecahedronGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDodecahedronGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDodecahedronGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtDodecahedronGeometry],
                    exports: [NgtDodecahedronGeometry],
                }]
        }] });

// GENERATED
class NgtExtrudeGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.ExtrudeGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtExtrudeGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtExtrudeGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtExtrudeGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtExtrudeGeometry, selector: "ngt-extrude-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtExtrudeGeometry,
        },
    ], exportAs: ["ngtExtrudeGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtExtrudeGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-extrude-geometry',
                    exportAs: 'ngtExtrudeGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtExtrudeGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtExtrudeGeometryModule {
}
NgtExtrudeGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtExtrudeGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtExtrudeGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtExtrudeGeometryModule, declarations: [NgtExtrudeGeometry], exports: [NgtExtrudeGeometry] });
NgtExtrudeGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtExtrudeGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtExtrudeGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtExtrudeGeometry],
                    exports: [NgtExtrudeGeometry],
                }]
        }] });

// GENERATED
class NgtIcosahedronGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.IcosahedronGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtIcosahedronGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtIcosahedronGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtIcosahedronGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtIcosahedronGeometry, selector: "ngt-icosahedron-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtIcosahedronGeometry,
        },
    ], exportAs: ["ngtIcosahedronGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtIcosahedronGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-icosahedron-geometry',
                    exportAs: 'ngtIcosahedronGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtIcosahedronGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtIcosahedronGeometryModule {
}
NgtIcosahedronGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtIcosahedronGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtIcosahedronGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtIcosahedronGeometryModule, declarations: [NgtIcosahedronGeometry], exports: [NgtIcosahedronGeometry] });
NgtIcosahedronGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtIcosahedronGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtIcosahedronGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtIcosahedronGeometry],
                    exports: [NgtIcosahedronGeometry],
                }]
        }] });

// GENERATED
class NgtLatheGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.LatheGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtLatheGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLatheGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtLatheGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtLatheGeometry, selector: "ngt-lathe-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtLatheGeometry,
        },
    ], exportAs: ["ngtLatheGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLatheGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-lathe-geometry',
                    exportAs: 'ngtLatheGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtLatheGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtLatheGeometryModule {
}
NgtLatheGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLatheGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtLatheGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLatheGeometryModule, declarations: [NgtLatheGeometry], exports: [NgtLatheGeometry] });
NgtLatheGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLatheGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLatheGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtLatheGeometry],
                    exports: [NgtLatheGeometry],
                }]
        }] });

// GENERATED
class NgtOctahedronGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.OctahedronGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtOctahedronGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOctahedronGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtOctahedronGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtOctahedronGeometry, selector: "ngt-octahedron-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtOctahedronGeometry,
        },
    ], exportAs: ["ngtOctahedronGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOctahedronGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-octahedron-geometry',
                    exportAs: 'ngtOctahedronGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtOctahedronGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtOctahedronGeometryModule {
}
NgtOctahedronGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOctahedronGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtOctahedronGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOctahedronGeometryModule, declarations: [NgtOctahedronGeometry], exports: [NgtOctahedronGeometry] });
NgtOctahedronGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOctahedronGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtOctahedronGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtOctahedronGeometry],
                    exports: [NgtOctahedronGeometry],
                }]
        }] });

// GENERATED
class NgtPlaneGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.PlaneGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtPlaneGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPlaneGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtPlaneGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtPlaneGeometry, selector: "ngt-plane-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtPlaneGeometry,
        },
    ], exportAs: ["ngtPlaneGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPlaneGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-plane-geometry',
                    exportAs: 'ngtPlaneGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtPlaneGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtPlaneGeometryModule {
}
NgtPlaneGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPlaneGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtPlaneGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPlaneGeometryModule, declarations: [NgtPlaneGeometry], exports: [NgtPlaneGeometry] });
NgtPlaneGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPlaneGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPlaneGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtPlaneGeometry],
                    exports: [NgtPlaneGeometry],
                }]
        }] });

// GENERATED
class NgtPolyhedronGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.PolyhedronGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtPolyhedronGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPolyhedronGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtPolyhedronGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtPolyhedronGeometry, selector: "ngt-polyhedron-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtPolyhedronGeometry,
        },
    ], exportAs: ["ngtPolyhedronGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPolyhedronGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-polyhedron-geometry',
                    exportAs: 'ngtPolyhedronGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtPolyhedronGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtPolyhedronGeometryModule {
}
NgtPolyhedronGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPolyhedronGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtPolyhedronGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPolyhedronGeometryModule, declarations: [NgtPolyhedronGeometry], exports: [NgtPolyhedronGeometry] });
NgtPolyhedronGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPolyhedronGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPolyhedronGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtPolyhedronGeometry],
                    exports: [NgtPolyhedronGeometry],
                }]
        }] });

// GENERATED
class NgtRingGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.RingGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtRingGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRingGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtRingGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtRingGeometry, selector: "ngt-ring-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtRingGeometry,
        },
    ], exportAs: ["ngtRingGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRingGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-ring-geometry',
                    exportAs: 'ngtRingGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtRingGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtRingGeometryModule {
}
NgtRingGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRingGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtRingGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRingGeometryModule, declarations: [NgtRingGeometry], exports: [NgtRingGeometry] });
NgtRingGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRingGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRingGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtRingGeometry],
                    exports: [NgtRingGeometry],
                }]
        }] });

// GENERATED
class NgtShapeGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.ShapeGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtShapeGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtShapeGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtShapeGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtShapeGeometry, selector: "ngt-shape-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtShapeGeometry,
        },
    ], exportAs: ["ngtShapeGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtShapeGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-shape-geometry',
                    exportAs: 'ngtShapeGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtShapeGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtShapeGeometryModule {
}
NgtShapeGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtShapeGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtShapeGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtShapeGeometryModule, declarations: [NgtShapeGeometry], exports: [NgtShapeGeometry] });
NgtShapeGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtShapeGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtShapeGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtShapeGeometry],
                    exports: [NgtShapeGeometry],
                }]
        }] });

// GENERATED
class NgtSphereGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.SphereGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtSphereGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtSphereGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtSphereGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtSphereGeometry, selector: "ngt-sphere-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtSphereGeometry,
        },
    ], exportAs: ["ngtSphereGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtSphereGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-sphere-geometry',
                    exportAs: 'ngtSphereGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtSphereGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtSphereGeometryModule {
}
NgtSphereGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtSphereGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtSphereGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtSphereGeometryModule, declarations: [NgtSphereGeometry], exports: [NgtSphereGeometry] });
NgtSphereGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtSphereGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtSphereGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtSphereGeometry],
                    exports: [NgtSphereGeometry],
                }]
        }] });

// GENERATED
class NgtTetrahedronGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.TetrahedronGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtTetrahedronGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTetrahedronGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtTetrahedronGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtTetrahedronGeometry, selector: "ngt-tetrahedron-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtTetrahedronGeometry,
        },
    ], exportAs: ["ngtTetrahedronGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTetrahedronGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-tetrahedron-geometry',
                    exportAs: 'ngtTetrahedronGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtTetrahedronGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtTetrahedronGeometryModule {
}
NgtTetrahedronGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTetrahedronGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtTetrahedronGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTetrahedronGeometryModule, declarations: [NgtTetrahedronGeometry], exports: [NgtTetrahedronGeometry] });
NgtTetrahedronGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTetrahedronGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTetrahedronGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtTetrahedronGeometry],
                    exports: [NgtTetrahedronGeometry],
                }]
        }] });

// GENERATED
class NgtTorusGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.TorusGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtTorusGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtTorusGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtTorusGeometry, selector: "ngt-torus-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtTorusGeometry,
        },
    ], exportAs: ["ngtTorusGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-torus-geometry',
                    exportAs: 'ngtTorusGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtTorusGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtTorusGeometryModule {
}
NgtTorusGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtTorusGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusGeometryModule, declarations: [NgtTorusGeometry], exports: [NgtTorusGeometry] });
NgtTorusGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtTorusGeometry],
                    exports: [NgtTorusGeometry],
                }]
        }] });

// GENERATED
class NgtTorusKnotGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.TorusKnotGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtTorusKnotGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusKnotGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtTorusKnotGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtTorusKnotGeometry, selector: "ngt-torus-knot-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtTorusKnotGeometry,
        },
    ], exportAs: ["ngtTorusKnotGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusKnotGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-torus-knot-geometry',
                    exportAs: 'ngtTorusKnotGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtTorusKnotGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtTorusKnotGeometryModule {
}
NgtTorusKnotGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusKnotGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtTorusKnotGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusKnotGeometryModule, declarations: [NgtTorusKnotGeometry], exports: [NgtTorusKnotGeometry] });
NgtTorusKnotGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusKnotGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTorusKnotGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtTorusKnotGeometry],
                    exports: [NgtTorusKnotGeometry],
                }]
        }] });

// GENERATED
class NgtTubeGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.TubeGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtTubeGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTubeGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtTubeGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtTubeGeometry, selector: "ngt-tube-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtTubeGeometry,
        },
    ], exportAs: ["ngtTubeGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTubeGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-tube-geometry',
                    exportAs: 'ngtTubeGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtTubeGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtTubeGeometryModule {
}
NgtTubeGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTubeGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtTubeGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTubeGeometryModule, declarations: [NgtTubeGeometry], exports: [NgtTubeGeometry] });
NgtTubeGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTubeGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTubeGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtTubeGeometry],
                    exports: [NgtTubeGeometry],
                }]
        }] });

// GENERATED
class NgtWireframeGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.WireframeGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtWireframeGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtWireframeGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtWireframeGeometry, selector: "ngt-wireframe-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtWireframeGeometry,
        },
    ], exportAs: ["ngtWireframeGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-wireframe-geometry',
                    exportAs: 'ngtWireframeGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtWireframeGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtWireframeGeometryModule {
}
NgtWireframeGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtWireframeGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometryModule, declarations: [NgtWireframeGeometry], exports: [NgtWireframeGeometry] });
NgtWireframeGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtWireframeGeometry],
                    exports: [NgtWireframeGeometry],
                }]
        }] });

// GENERATED
class NgtEdgesGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = THREE.EdgesGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtEdgesGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtEdgesGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtEdgesGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtEdgesGeometry, selector: "ngt-edges-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtEdgesGeometry,
        },
    ], exportAs: ["ngtEdgesGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtEdgesGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-edges-geometry',
                    exportAs: 'ngtEdgesGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtEdgesGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtEdgesGeometryModule {
}
NgtEdgesGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtEdgesGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtEdgesGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtEdgesGeometryModule, declarations: [NgtEdgesGeometry], exports: [NgtEdgesGeometry] });
NgtEdgesGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtEdgesGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtEdgesGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtEdgesGeometry],
                    exports: [NgtEdgesGeometry],
                }]
        }] });

// GENERATED
class NgtBoxLineGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = BoxLineGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtBoxLineGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxLineGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtBoxLineGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtBoxLineGeometry, selector: "ngt-box-line-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtBoxLineGeometry,
        },
    ], exportAs: ["ngtBoxLineGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxLineGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-box-line-geometry',
                    exportAs: 'ngtBoxLineGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtBoxLineGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtBoxLineGeometryModule {
}
NgtBoxLineGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxLineGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtBoxLineGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxLineGeometryModule, declarations: [NgtBoxLineGeometry], exports: [NgtBoxLineGeometry] });
NgtBoxLineGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxLineGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtBoxLineGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtBoxLineGeometry],
                    exports: [NgtBoxLineGeometry],
                }]
        }] });

// GENERATED
class NgtConvexGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = ConvexGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtConvexGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConvexGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtConvexGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtConvexGeometry, selector: "ngt-convex-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtConvexGeometry,
        },
    ], exportAs: ["ngtConvexGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConvexGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-convex-geometry',
                    exportAs: 'ngtConvexGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtConvexGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtConvexGeometryModule {
}
NgtConvexGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConvexGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtConvexGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConvexGeometryModule, declarations: [NgtConvexGeometry], exports: [NgtConvexGeometry] });
NgtConvexGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConvexGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtConvexGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtConvexGeometry],
                    exports: [NgtConvexGeometry],
                }]
        }] });

// GENERATED
class NgtDecalGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = DecalGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtDecalGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDecalGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtDecalGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtDecalGeometry, selector: "ngt-decal-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtDecalGeometry,
        },
    ], exportAs: ["ngtDecalGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDecalGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-decal-geometry',
                    exportAs: 'ngtDecalGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtDecalGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtDecalGeometryModule {
}
NgtDecalGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDecalGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtDecalGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDecalGeometryModule, declarations: [NgtDecalGeometry], exports: [NgtDecalGeometry] });
NgtDecalGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDecalGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtDecalGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtDecalGeometry],
                    exports: [NgtDecalGeometry],
                }]
        }] });

// GENERATED
class NgtParametricGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = ParametricGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtParametricGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtParametricGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtParametricGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtParametricGeometry, selector: "ngt-parametric-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtParametricGeometry,
        },
    ], exportAs: ["ngtParametricGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtParametricGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-parametric-geometry',
                    exportAs: 'ngtParametricGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtParametricGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtParametricGeometryModule {
}
NgtParametricGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtParametricGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtParametricGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtParametricGeometryModule, declarations: [NgtParametricGeometry], exports: [NgtParametricGeometry] });
NgtParametricGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtParametricGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtParametricGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtParametricGeometry],
                    exports: [NgtParametricGeometry],
                }]
        }] });

// GENERATED
class NgtRoundedBoxGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = RoundedBoxGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtRoundedBoxGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRoundedBoxGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtRoundedBoxGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtRoundedBoxGeometry, selector: "ngt-rounded-box-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtRoundedBoxGeometry,
        },
    ], exportAs: ["ngtRoundedBoxGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRoundedBoxGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-rounded-box-geometry',
                    exportAs: 'ngtRoundedBoxGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtRoundedBoxGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtRoundedBoxGeometryModule {
}
NgtRoundedBoxGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRoundedBoxGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtRoundedBoxGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRoundedBoxGeometryModule, declarations: [NgtRoundedBoxGeometry], exports: [NgtRoundedBoxGeometry] });
NgtRoundedBoxGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRoundedBoxGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtRoundedBoxGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtRoundedBoxGeometry],
                    exports: [NgtRoundedBoxGeometry],
                }]
        }] });

// GENERATED
class NgtTeapotGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = TeapotGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtTeapotGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTeapotGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtTeapotGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtTeapotGeometry, selector: "ngt-teapot-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtTeapotGeometry,
        },
    ], exportAs: ["ngtTeapotGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTeapotGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-teapot-geometry',
                    exportAs: 'ngtTeapotGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtTeapotGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtTeapotGeometryModule {
}
NgtTeapotGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTeapotGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtTeapotGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTeapotGeometryModule, declarations: [NgtTeapotGeometry], exports: [NgtTeapotGeometry] });
NgtTeapotGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTeapotGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTeapotGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtTeapotGeometry],
                    exports: [NgtTeapotGeometry],
                }]
        }] });

// GENERATED
class NgtTextGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = TextGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtTextGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTextGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtTextGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtTextGeometry, selector: "ngt-text-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtTextGeometry,
        },
    ], exportAs: ["ngtTextGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTextGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-text-geometry',
                    exportAs: 'ngtTextGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtTextGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtTextGeometryModule {
}
NgtTextGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTextGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtTextGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTextGeometryModule, declarations: [NgtTextGeometry], exports: [NgtTextGeometry] });
NgtTextGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTextGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtTextGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtTextGeometry],
                    exports: [NgtTextGeometry],
                }]
        }] });

// GENERATED
class NgtLineGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = LineGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtLineGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtLineGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtLineGeometry, selector: "ngt-line-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtLineGeometry,
        },
    ], exportAs: ["ngtLineGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-line-geometry',
                    exportAs: 'ngtLineGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtLineGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtLineGeometryModule {
}
NgtLineGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtLineGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineGeometryModule, declarations: [NgtLineGeometry], exports: [NgtLineGeometry] });
NgtLineGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtLineGeometry],
                    exports: [NgtLineGeometry],
                }]
        }] });

// GENERATED
class NgtLineSegmentsGeometry extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = LineSegmentsGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtLineSegmentsGeometry.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineSegmentsGeometry, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtLineSegmentsGeometry.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtLineSegmentsGeometry, selector: "ngt-line-segments-geometry", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtLineSegmentsGeometry,
        },
    ], exportAs: ["ngtLineSegmentsGeometry"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineSegmentsGeometry, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-line-segments-geometry',
                    exportAs: 'ngtLineSegmentsGeometry',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtLineSegmentsGeometry,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtLineSegmentsGeometryModule {
}
NgtLineSegmentsGeometryModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineSegmentsGeometryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtLineSegmentsGeometryModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineSegmentsGeometryModule, declarations: [NgtLineSegmentsGeometry], exports: [NgtLineSegmentsGeometry] });
NgtLineSegmentsGeometryModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineSegmentsGeometryModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtLineSegmentsGeometryModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtLineSegmentsGeometry],
                    exports: [NgtLineSegmentsGeometry],
                }]
        }] });

// GENERATED
class NgtWireframeGeometry2 extends NgtGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = WireframeGeometry2;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
NgtWireframeGeometry2.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry2, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtWireframeGeometry2.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtWireframeGeometry2, selector: "ngt-wireframe-geometry2", inputs: { args: "args" }, providers: [
        {
            provide: NgtGeometry,
            useExisting: NgtWireframeGeometry2,
        },
    ], exportAs: ["ngtWireframeGeometry2"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry2, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-wireframe-geometry2',
                    exportAs: 'ngtWireframeGeometry2',
                    providers: [
                        {
                            provide: NgtGeometry,
                            useExisting: NgtWireframeGeometry2,
                        },
                    ],
                }]
        }], propDecorators: { args: [{
                type: Input
            }] } });

// GENERATED
class NgtWireframeGeometry2Module {
}
NgtWireframeGeometry2Module.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry2Module, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtWireframeGeometry2Module.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry2Module, declarations: [NgtWireframeGeometry2], exports: [NgtWireframeGeometry2] });
NgtWireframeGeometry2Module.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry2Module });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtWireframeGeometry2Module, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtWireframeGeometry2],
                    exports: [NgtWireframeGeometry2],
                }]
        }] });

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { NgtBoxGeometry, NgtBoxGeometryModule, NgtBoxLineGeometry, NgtBoxLineGeometryModule, NgtBufferGeometry, NgtBufferGeometryModule, NgtCircleGeometry, NgtCircleGeometryModule, NgtConeGeometry, NgtConeGeometryModule, NgtConvexGeometry, NgtConvexGeometryModule, NgtCylinderGeometry, NgtCylinderGeometryModule, NgtDecalGeometry, NgtDecalGeometryModule, NgtDodecahedronGeometry, NgtDodecahedronGeometryModule, NgtEdgesGeometry, NgtEdgesGeometryModule, NgtExtrudeGeometry, NgtExtrudeGeometryModule, NgtIcosahedronGeometry, NgtIcosahedronGeometryModule, NgtInstancedBufferGeometry, NgtInstancedBufferGeometryModule, NgtLatheGeometry, NgtLatheGeometryModule, NgtLineGeometry, NgtLineGeometryModule, NgtLineSegmentsGeometry, NgtLineSegmentsGeometryModule, NgtOctahedronGeometry, NgtOctahedronGeometryModule, NgtParametricGeometry, NgtParametricGeometryModule, NgtPlaneGeometry, NgtPlaneGeometryModule, NgtPolyhedronGeometry, NgtPolyhedronGeometryModule, NgtRingGeometry, NgtRingGeometryModule, NgtRoundedBoxGeometry, NgtRoundedBoxGeometryModule, NgtShapeGeometry, NgtShapeGeometryModule, NgtSphereGeometry, NgtSphereGeometryModule, NgtTeapotGeometry, NgtTeapotGeometryModule, NgtTetrahedronGeometry, NgtTetrahedronGeometryModule, NgtTextGeometry, NgtTextGeometryModule, NgtTorusGeometry, NgtTorusGeometryModule, NgtTorusKnotGeometry, NgtTorusKnotGeometryModule, NgtTubeGeometry, NgtTubeGeometryModule, NgtWireframeGeometry, NgtWireframeGeometry2, NgtWireframeGeometry2Module, NgtWireframeGeometryModule };
//# sourceMappingURL=angular-three-core-geometries.js.map
