import * as i0 from '@angular/core';
import { Directive, ContentChildren, ContentChild, NgModule } from '@angular/core';
import { NgtObject3dMaterialGeometry, NgtObject3d, NGT_OBJECT_3D_CONTROLLER_PROVIDER, NgtGeometry, NgtMaterial } from '@angular-three/core';
import * as THREE from 'three';

class NgtPoints extends NgtObject3dMaterialGeometry {
    set materialDirectives(v) {
        if (this.material == null && v) {
            this.material =
                v.length === 1
                    ? v.first.material
                    : v.toArray().map((dir) => dir.material);
        }
    }
    set bufferGeometryDirective(v) {
        if (this.geometry == null) {
            this.geometry = v.geometry;
        }
    }
    get objectType() {
        return THREE.Points;
    }
}
NgtPoints.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPoints, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtPoints.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.13", type: NgtPoints, selector: "ngt-points", providers: [
        { provide: NgtObject3d, useExisting: NgtPoints },
        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
    ], queries: [{ propertyName: "bufferGeometryDirective", first: true, predicate: NgtGeometry, descendants: true }, { propertyName: "materialDirectives", predicate: NgtMaterial }], exportAs: ["ngtPoints"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPoints, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-points',
                    exportAs: 'ngtPoints',
                    providers: [
                        { provide: NgtObject3d, useExisting: NgtPoints },
                        NGT_OBJECT_3D_CONTROLLER_PROVIDER,
                    ],
                }]
        }], propDecorators: { materialDirectives: [{
                type: ContentChildren,
                args: [NgtMaterial]
            }], bufferGeometryDirective: [{
                type: ContentChild,
                args: [NgtGeometry]
            }] } });

class NgtPointsModule {
}
NgtPointsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPointsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtPointsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPointsModule, declarations: [NgtPoints], exports: [NgtPoints] });
NgtPointsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPointsModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.13", ngImport: i0, type: NgtPointsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtPoints],
                    exports: [NgtPoints],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { NgtPoints, NgtPointsModule };
//# sourceMappingURL=angular-three-core-points.js.map
