import { ElementRef, EventEmitter, NgZone, OnInit } from '@angular/core';
import * as THREE from 'three';
import type { NgtCamera, NgtCameraOptions, NgtRaycasterOptions, NgtSceneOptions } from './models';
import { DestroyedService } from './services/destroyed.service';
import { LoopService } from './services/loop.service';
import { AnimationStore } from './stores/animation.store';
import { CanvasStore } from './stores/canvas.store';
import { EventsStore } from './stores/events.store';
import * as i0 from "@angular/core";
export declare class NgtCanvasComponent implements OnInit {
    private canvasStore;
    private animationStore;
    private eventsStore;
    private loopService;
    private ngZone;
    private hostElement;
    private document;
    private destroyed;
    hostClass: boolean;
    set orthographic(v: boolean);
    set linear(v: boolean);
    set shadows(v: boolean | Partial<THREE.WebGLShadowMap>);
    set alpha(v: boolean);
    camera?: NgtCameraOptions;
    scene?: NgtSceneOptions;
    raycaster?: NgtRaycasterOptions;
    created: EventEmitter<{
        gl: THREE.WebGLRenderer;
        camera: NgtCamera;
        scene: THREE.Scene;
    }>;
    rendererCanvas: ElementRef<HTMLCanvasElement>;
    constructor(canvasStore: CanvasStore, animationStore: AnimationStore, eventsStore: EventsStore, loopService: LoopService, ngZone: NgZone, hostElement: ElementRef<HTMLElement>, document: Document, destroyed: DestroyedService);
    ngOnInit(): void;
    private initWindowResizeListener;
    private initActiveListener;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtCanvasComponent, [{ self: true; }, { self: true; }, { self: true; }, { self: true; }, null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtCanvasComponent, "ngt-canvas", ["ngtCanvas"], { "orthographic": "orthographic"; "linear": "linear"; "shadows": "shadows"; "alpha": "alpha"; "camera": "camera"; "scene": "scene"; "raycaster": "raycaster"; }, { "created": "created"; }, never, never>;
}
