import { EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import * as THREE from 'three';
import { AnimationStore } from '../stores/animation.store';
import { CanvasStore } from '../stores/canvas.store';
import { NgtAnimationParticipant } from '../three/animation-participant';
import { NgtObject3d } from '../three/object-3d';
import { NgtObject3dController } from '../three/object-3d.controller';
import * as i0 from "@angular/core";
export declare class NgtPrimitive<TObject = unknown> extends NgtAnimationParticipant<TObject> implements OnInit, OnDestroy {
    private object3dController;
    private canvasStore;
    protected readonly parentObjectDirective?: NgtObject3d<THREE.Object3D<THREE.Event>> | undefined;
    ready: EventEmitter<TObject>;
    get object(): TObject;
    set object(value: TObject);
    private _object;
    constructor(animationStore: AnimationStore, ngZone: NgZone, object3dController: NgtObject3dController, canvasStore: CanvasStore, parentObjectDirective?: NgtObject3d<THREE.Object3D<THREE.Event>> | undefined);
    get object3d(): TObject;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private appendToParent;
    protected remove(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtPrimitive<any>, [null, null, null, null, { optional: true; skipSelf: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtPrimitive<any>, "ngt-primitive", ["ngtPrimitive"], { "object": "object"; }, { "ready": "ready"; }, never>;
}
