import { OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import * as THREE from 'three';
import type { AnimationStoreState, NgtAnimationCallback } from '../models';
import { EnhancedComponentStore } from './enhanced-component-store.abstract';
import * as i0 from "@angular/core";
export declare class AnimationStore extends EnhancedComponentStore<AnimationStoreState> implements OnDestroy {
    constructor();
    readonly animationsChangedEffect: (observableOrValue: Record<string, import("../models").NgtAnimationRecord | import("../models").NgtAnimationRecordNoObject> | Observable<Record<string, import("../models").NgtAnimationRecord | import("../models").NgtAnimationRecordNoObject>>) => import("rxjs").Subscription;
    readonly unregisterAnimationEffect: (observableOrValue: string | Observable<string>) => import("rxjs").Subscription;
    readonly clearEffect: () => void;
    registerAnimation<TObject3d extends THREE.Object3D = THREE.Object3D>(obj: TObject3d, callback: NgtAnimationCallback<TObject3d>, priority?: number): () => void;
    registerAnimation<TObject3d extends THREE.Object3D = THREE.Object3D>(obs: Observable<TObject3d | null>, callback: NgtAnimationCallback<TObject3d>, priority?: number): () => void;
    registerAnimation(callback: NgtAnimationCallback, priority?: number): () => void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnimationStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AnimationStore>;
}
