import { OnDestroy } from '@angular/core';
import * as THREE from 'three';
import type { CanvasStoreState, NgtCameraOptions, NgtRaycasterOptions, NgtSceneOptions, NgtSize } from '../models';
import { EnhancedComponentStore } from './enhanced-component-store.abstract';
import * as i0 from "@angular/core";
interface WindowResizeEffectParams {
    size: NgtSize;
    dpr: number;
}
export declare const isOrthographicCamera: (value: THREE.Camera) => value is THREE.OrthographicCamera;
export declare class CanvasStore extends EnhancedComponentStore<CanvasStoreState> implements OnDestroy {
    constructor();
    readonly setIsOrthographic: (observableOrValue: boolean | import("rxjs").Observable<boolean>) => import("rxjs").Subscription;
    readonly setIsLinear: (observableOrValue: boolean | import("rxjs").Observable<boolean>) => import("rxjs").Subscription;
    readonly setShadows: (observableOrValue: boolean | Partial<THREE.WebGLShadowMap> | import("rxjs").Observable<boolean | Partial<THREE.WebGLShadowMap>>) => import("rxjs").Subscription;
    readonly setAlpha: (observableOrValue: boolean | import("rxjs").Observable<boolean>) => import("rxjs").Subscription;
    readonly setSize: (observableOrValue: NgtSize | import("rxjs").Observable<NgtSize>) => import("rxjs").Subscription;
    readonly setDpr: (observableOrValue: number | import("rxjs").Observable<number>) => import("rxjs").Subscription;
    readonly setViewport: () => void;
    readonly setActive: (observableOrValue: boolean | import("rxjs").Observable<boolean>) => import("rxjs").Subscription;
    readonly initRendererEffect: (observableOrValue: HTMLCanvasElement | import("rxjs").Observable<HTMLCanvasElement>) => import("rxjs").Subscription;
    readonly initSceneEffect: (observableOrValue: NgtSceneOptions | import("rxjs").Observable<NgtSceneOptions | undefined> | undefined) => import("rxjs").Subscription;
    readonly initCameraEffect: (observableOrValue: NgtCameraOptions | import("rxjs").Observable<NgtCameraOptions | undefined> | undefined) => import("rxjs").Subscription;
    readonly initRaycasterEffect: (observableOrValue: NgtRaycasterOptions | import("rxjs").Observable<NgtRaycasterOptions | undefined> | undefined) => import("rxjs").Subscription;
    readonly windowResizeEffect: (observableOrValue: WindowResizeEffectParams | import("rxjs").Observable<WindowResizeEffectParams>) => import("rxjs").Subscription;
    readonly cleanUpEffect: () => void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CanvasStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CanvasStore>;
}
export {};
