import { ComponentStore } from '@ngrx/component-store';
import { Observable } from 'rxjs';
export declare type StoreState<TStore extends EnhancedComponentStore> = TStore extends EnhancedComponentStore<infer TComponentState> ? TComponentState : {};
export declare type StoreStateKeys<TState extends object> = Array<keyof TState & string>;
export declare type StoreSelectors<TState extends object> = {
    [K in StoreStateKeys<TState>[number] as `${K}$`]: Observable<TState[K]>;
};
export declare function getSelectors<TStore extends EnhancedComponentStore>(store: TStore): StoreSelectors<StoreState<TStore>>;
export declare abstract class EnhancedComponentStore<TState extends object = object> extends ComponentStore<TState> {
    readonly selectors: StoreSelectors<TState>;
    getImperativeState(): TState;
}
