import { NgZone, OnInit } from '@angular/core';
import * as THREE from 'three';
import type { AnyConstructor } from '../models';
import { NgtGeometry } from './geometry';
import * as i0 from "@angular/core";
export declare abstract class NgtCurve<TCurve extends THREE.Curve<THREE.Vector> = THREE.Curve<THREE.Vector>> implements OnInit {
    protected ngZone: NgZone;
    protected geometryDirective?: NgtGeometry<THREE.BufferGeometry> | undefined;
    divisions?: number;
    abstract curveType: AnyConstructor<TCurve>;
    private _extraArgs;
    protected set extraArgs(v: unknown[]);
    constructor(ngZone: NgZone, geometryDirective?: NgtGeometry<THREE.BufferGeometry> | undefined);
    private _curve?;
    ngOnInit(): void;
    private init;
    get curve(): TCurve | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtCurve<any>, [null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtCurve<any>, never, never, { "divisions": "divisions"; }, {}, never>;
}
