import { NgZone, OnDestroy, OnInit } from '@angular/core';
import * as THREE from 'three';
import type { AnyConstructor } from '../models';
import { InstancesStore } from '../stores/instances.store';
import * as i0 from "@angular/core";
export declare abstract class NgtGeometry<TGeometry extends THREE.BufferGeometry = THREE.BufferGeometry> implements OnInit, OnDestroy {
    protected instancesStore: InstancesStore;
    protected ngZone: NgZone;
    ngtId?: string;
    constructor(instancesStore: InstancesStore, ngZone: NgZone);
    abstract geometryType: AnyConstructor<TGeometry>;
    private _extraArgs;
    protected set extraArgs(v: unknown[]);
    ngOnInit(): void;
    private init;
    private _geometry;
    get geometry(): TGeometry;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtGeometry<any>, [{ skipSelf: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtGeometry<any>, never, never, { "ngtId": "ngtId"; }, {}, never>;
}
