import { NgZone, OnDestroy, OnInit } from '@angular/core';
import * as THREE from 'three';
import type { AnyConstructor } from '../models';
import { CanvasStore } from '../stores/canvas.store';
import { InstancesStore } from '../stores/instances.store';
import * as i0 from "@angular/core";
export declare abstract class NgtMaterial<TMaterial extends THREE.Material = THREE.Material, TMaterialParameters extends THREE.MaterialParameters = THREE.MaterialParameters> implements OnInit, OnDestroy {
    protected ngZone: NgZone;
    protected instancesStore: InstancesStore;
    protected canvasStore: CanvasStore;
    ngtId?: string;
    set parameters(v: TMaterialParameters | undefined);
    get parameters(): TMaterialParameters | undefined;
    private _parameters?;
    constructor(ngZone: NgZone, instancesStore: InstancesStore, canvasStore: CanvasStore);
    abstract materialType: AnyConstructor<TMaterial>;
    ngOnInit(): void;
    private _material;
    get material(): TMaterial;
    private convertColorToLinear;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtMaterial<any, any>, [null, { skipSelf: true; }, { skipSelf: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtMaterial<any, any>, never, never, { "ngtId": "ngtId"; "parameters": "parameters"; }, {}, never>;
}
