import { AfterContentInit } from '@angular/core';
import * as THREE from 'three';
import type { AnyConstructor } from '../models';
import { NgtObject3d } from './object-3d';
import * as i0 from "@angular/core";
export declare abstract class NgtObject3dMaterialGeometry<TObject extends THREE.Object3D = THREE.Object3D> extends NgtObject3d<TObject> implements AfterContentInit {
    abstract get objectType(): AnyConstructor<TObject>;
    geometry?: string | THREE.BufferGeometry | null;
    material?: string | string[] | THREE.Material | THREE.Material[] | null;
    morphTargetInfluences?: number[];
    morphTargetDictionary?: {
        [key: string]: number;
    };
    private _objectMaterialGeometry;
    private _extraArgs?;
    set extraArgs(v: unknown[]);
    ngAfterContentInit(): void;
    protected initObject(): void;
    protected customize?: () => void;
    protected canCreate(): boolean;
    get object3d(): TObject;
    private getMaterial;
    private getGeometry;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtObject3dMaterialGeometry<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtObject3dMaterialGeometry<any>, never, never, { "geometry": "geometry"; "material": "material"; "morphTargetInfluences": "morphTargetInfluences"; "morphTargetDictionary": "morphTargetDictionary"; }, {}, never>;
}
