import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import * as THREE from 'three';
import type { NgtColor, NgtEuler, NgtEvent, NgtQuaternion, NgtVector3, UnknownRecord } from '../models';
import * as i0 from "@angular/core";
export declare class NgtObject3dController implements OnChanges {
    name?: string;
    position?: NgtVector3;
    rotation?: NgtEuler;
    quaternion?: NgtQuaternion;
    scale?: NgtVector3;
    color?: NgtColor;
    userData?: UnknownRecord;
    dispose?: () => void;
    castShadow: boolean;
    receiveShadow: boolean;
    visible: boolean;
    matrixAutoUpdate: boolean;
    appendMode: 'immediate' | 'root';
    appendTo?: THREE.Object3D;
    click: EventEmitter<NgtEvent<MouseEvent>>;
    contextmenu: EventEmitter<NgtEvent<MouseEvent>>;
    dblclick: EventEmitter<NgtEvent<MouseEvent>>;
    pointerup: EventEmitter<NgtEvent<PointerEvent>>;
    pointerdown: EventEmitter<NgtEvent<PointerEvent>>;
    pointerover: EventEmitter<NgtEvent<PointerEvent>>;
    pointerout: EventEmitter<NgtEvent<PointerEvent>>;
    pointerenter: EventEmitter<NgtEvent<PointerEvent>>;
    pointerleave: EventEmitter<NgtEvent<PointerEvent>>;
    pointermove: EventEmitter<NgtEvent<PointerEvent>>;
    pointermissed: EventEmitter<NgtEvent<PointerEvent>>;
    pointercancel: EventEmitter<NgtEvent<PointerEvent>>;
    wheel: EventEmitter<NgtEvent<WheelEvent>>;
    readonly change$: ReplaySubject<SimpleChanges>;
    ngOnChanges(changes: SimpleChanges): void;
    get object3dProps(): {
        name: string | undefined;
        position: NgtVector3 | undefined;
        rotation: NgtEuler | undefined;
        quaternion: NgtQuaternion | undefined;
        scale: NgtVector3 | undefined;
        color: NgtColor | undefined;
        userData: UnknownRecord | undefined;
        dispose: (() => void) | undefined;
        castShadow: boolean;
        receiveShadow: boolean;
        visible: boolean;
        matrixAutoUpdate: boolean;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtObject3dController, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtObject3dController, "    ngt-primitive,    ngt-mesh,    ngt-instanced-mesh,    ngt-skinned-mesh,    ngt-bone,    ngt-line2,    ngt-line-segments2,    ngt-wireframe,    ngt-group,    ngt-lod,    ngt-scene,    ngt-points,    ngt-cube-camera,    ngt-contact-shadows,    ngt-html,    ngt-light-probe,    ngt-ambient-light,    ngt-ambient-light-probe,    ngt-hemisphere-light,    ngt-hemisphere-light-probe,    ngt-directional-light,    ngt-point-light,    ngt-spot-light,    ngt-rect-area-light,    ngt-arrow-helper,    ngt-axes-helper,    ngt-box-helper,    ngt-box3-helper,    ngt-grid-helper,    ngt-camera-helper,    ngt-directional-light-helper,    ngt-hemisphere-light-helper,    ngt-plane-helper,    ngt-point-light-helper,    ngt-polar-grid-helper,    ngt-skeleton-helper,    ngt-spot-light-helper,    ngt-light-probe-helper,    ngt-positional-audio-helper,    ngt-rect-area-light-helper,    ngt-vertex-normals-helper,    ngt-vertex-tangents-helper,    ngt-line,    ngt-line-loop,    ngt-line-segments,    ngt-sprite,    ngt-camera,    ngt-perspective-camera,    ngt-orthographic-camera,    ngt-array-camera,    ngt-stereo-camera  ", ["ngtObject3dController"], { "name": "name"; "position": "position"; "rotation": "rotation"; "quaternion": "quaternion"; "scale": "scale"; "color": "color"; "userData": "userData"; "dispose": "dispose"; "castShadow": "castShadow"; "receiveShadow": "receiveShadow"; "visible": "visible"; "matrixAutoUpdate": "matrixAutoUpdate"; "appendMode": "appendMode"; "appendTo": "appendTo"; }, { "click": "click"; "contextmenu": "contextmenu"; "dblclick": "dblclick"; "pointerup": "pointerup"; "pointerdown": "pointerdown"; "pointerover": "pointerover"; "pointerout": "pointerout"; "pointerenter": "pointerenter"; "pointerleave": "pointerleave"; "pointermove": "pointermove"; "pointermissed": "pointermissed"; "pointercancel": "pointercancel"; "wheel": "wheel"; }, never>;
}
