import { NgZone, OnChanges, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import * as THREE from 'three';
import { AnimationStore } from '../stores/animation.store';
import { CanvasStore } from '../stores/canvas.store';
import { EventsStore } from '../stores/events.store';
import { InstancesStore } from '../stores/instances.store';
import { NgtAnimationParticipant } from './animation-participant';
import { NgtObject3dController } from './object-3d.controller';
import * as i0 from "@angular/core";
export declare abstract class NgtObject3d<TObject extends THREE.Object3D = THREE.Object3D> extends NgtAnimationParticipant<TObject> implements OnDestroy, OnChanges {
    protected object3dController: NgtObject3dController;
    protected canvasStore: CanvasStore;
    protected instancesStore: InstancesStore;
    protected eventsStore: EventsStore;
    protected parentObjectDirective?: NgtObject3d<THREE.Object3D<THREE.Event>> | undefined;
    private $object3d;
    readonly object3d$: Observable<TObject | null>;
    ready: Observable<TObject>;
    private readonly changesSubscription?;
    constructor(object3dController: NgtObject3dController, canvasStore: CanvasStore, instancesStore: InstancesStore, eventsStore: EventsStore, animationStore: AnimationStore, ngZone: NgZone, parentObjectDirective?: NgtObject3d<THREE.Object3D<THREE.Event>> | undefined);
    ngOnChanges(): void;
    protected init(): void;
    protected addToScene(): void;
    protected addToParent(): void;
    protected remove(): void;
    protected objectReady(): void;
    protected inputChangeHandler?: () => void;
    private applyCustomProps;
    private eventNameToHandler;
    private appendToParent;
    ngOnDestroy(): void;
    protected abstract initObject(): void;
    abstract get object3d(): TObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtObject3d<any>, [null, null, null, null, null, null, { optional: true; skipSelf: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtObject3d<any>, never, never, {}, { "ready": "ready"; }, never>;
}
